{% extends 'base_book.html.twig' %}
{% block heaad %}
    <link rel="preload" as="image" href="{{ book.cover }}">
    <meta name="description"
          content="Кот бегемот аудиокниги, самые лучшие и топовые аудиокниги совершенно бесплатно. Слушай и качай в формате mp3. без регистрации и подписок. Лучший сайт с бесплатными аудиокнигами">
    <meta property="og:type" content="website">
    <meta property="og:title" content="{{ book.authors|join(', ') }} - {{ book.title }}">
    <meta property="og:image" content="{{ book.cover }}">
    <meta property="og:url" content="https://kot-begemot.com/book/{{ book.slug }}">
    <meta name="keywords"
          content="аудиокнига, слушать онлайн, бесплатно, {{ book.authors|join(', ') }}, {{ book.performer|join(', ') }}, {{ book.genres|join(', ') }}">

    {% for file in encore_entry_js_files('default_player') %}
        <script src="{{ asset(file) }}" defer></script>
    {% endfor %}
{% endblock %}

{% block title %}Аудиокнига {{ book.title }} слушать онлайн бесплатно - автор {{ book.authors|join(', ') }}{% endblock %}
{% block mainAd %}{% endblock %}
{% block body %}
    <div class="row">
        <div id="ad2" class="col-xl-4 col-lg-4 col-xs-12 col-sm-12">
            {% if book.explicit == false %}
                <!-- show block2 -->
                <script async
                        src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-5658893018787889"
                        crossorigin="anonymous"></script>
                <!-- show block2 -->
                <ins class="adsbygoogle"
                     style="display:block"
                     data-ad-client="ca-pub-5658893018787889"
                     data-ad-slot="8381865747"
                     data-ad-format="auto"
                     data-full-width-responsive="true"></ins>
                <script>
                    (adsbygoogle = window.adsbygoogle || []).push({});
                </script>
            {% endif %}
        </div>
        <div class="player-border flat-black-player-container col-xl-4 col-lg-4 player-container col-xs-12 col-sm-12 app-text"  id="flat-black-player-container" data-content={{ book.id }}>
            {% if book.removed %}
                <div class="text-center col-xl-12 col-lg-12 col-xs-12 col-sm-12 mb-2">
                    <h1 class="app-text">{{ book.title }}</h1>
                    <h2 class="app-text">(Книга удалена по просьбе правообладателя)</h2>
                </div>
            {% else %}





                <div id="list-screen" class="slide-in-top">
                    <div id="list-screen-header" class="hide-playlist">
                        <img id="up-arrow"
                             src="https://521dimensions.com/img/open-source/amplitudejs/examples/flat-black/up.svg"/>
                        Спрятать список
                    </div>




                    <div id="list">
                        {% for i, item in playlist %}
                            {% set songNumber =  i + 1%}
                            <div class="song amplitude-song-container amplitude-play-pause" data-amplitude-song-index={{ i }}>
                                <span class="song-number-now-playing">
                                <span class="number">{{ songNumber }}</span>
                                <img height="40" width="30" class="now-playing" src={{ item.poster }}></span>

                                <div class="song-meta-container">
                                    <span class="song-name" data-amplitude-song-info="name" data-amplitude-song-index={{ i }}></span>
                                    <span class="song-artist-album"><span data-amplitude-song-info="artist" data-amplitude-song-index={{ i }}></span> - <span
                                                data-amplitude-song-info="album"
                                                data-amplitude-song-index={{ i }}></span></span>
                                </div>

                                <span class="song-duration">{{ item.duration|date('H:i:s') }}</span>
                            </div>
                        {% endfor %}

                    </div>


















                    <div id="list-screen-footer">
                        <div id="list-screen-meta-container">
                            <span data-amplitude-song-info="name" class="song-name"></span>

                            <div class="song-artist-album">
                                <span data-amplitude-song-info="artist"></span>
                            </div>
                        </div>
                        <div class="list-controls">
                            <div class="list-previous amplitude-prev"></div>
                            <div class="list-play-pause amplitude-play-pause"></div>
                            <div class="list-next amplitude-next"></div>
                        </div>
                    </div>
                </div>
                <div id="player-screen">
                    <div class="player-header down-header">
                        <img id="down"
                             src="https://521dimensions.com/img/open-source/amplitudejs/examples/flat-black/down.svg"/>
                        Показать список
                    </div>
                    <div id="player-top">
                        <img data-amplitude-song-info="cover_art_url"/>
                    </div>
                    <div id="player-progress-bar-container">
                        <progress id="song-played-progress" class="amplitude-song-played-progress"></progress>
                        <progress id="song-buffered-progress" class="amplitude-buffered-progress"
                                  value="0"></progress>
                    </div>
                    <div id="player-middle">
                        <div id="time-container">
                            <span class="amplitude-current-time time-container"></span>
                            <span class="amplitude-duration-time time-container"></span>
                        </div>
                        <div id="meta-container">
                            <span data-amplitude-song-info="name" class="song-name"></span>

                            <div class="song-artist-album">
                                <span data-amplitude-song-info="artist"></span>
                            </div>
                        </div>
                    </div>
                    <div id="player-bottom">
                        <b id="total-progress" class="app-text">"Общий прогресс: 0%"</b>

                        <div id="control-container">

                            <div id="shuffle-container">
                                {#                                    <div class="amplitude-shuffle amplitude-shuffle-off" id="shuffle"></div>#}
                            </div>

                            <div id="prev-container">
                                <div class="amplitude-prev" id="previous"></div>
                            </div>

                            <div id="play-pause-container">
                                <div class="amplitude-play-pause" id="play-pause"></div>
                            </div>

                            <div id="next-container">
                                <div class="amplitude-next" id="next"></div>
                            </div>

                            <div id="repeat-container">
                                {#                                    <div class="amplitude-repeat" id="repeat"></div>#}
                            </div>

                        </div>

                        <div id="volume-container">
                            <img src="https://521dimensions.com/img/open-source/amplitudejs/examples/flat-black/volume.svg"/><input
                                    type="range" class="amplitude-volume-slider" step=".1"/>
                        </div>
                    </div>
                </div>















            {% endif %}
        </div>
        <div id="ad3" class="col-xl-4 col-lg-4 col-xs-12 col-sm-12">
            {% if book.explicit == false %}
                <!-- show block2 -->
                <script async
                        src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-5658893018787889"
                        crossorigin="anonymous"></script>
                <!-- show page -->
                <ins class="adsbygoogle"
                     style="display:block"
                     data-ad-client="ca-pub-5658893018787889"
                     data-ad-slot="9446415841"
                     data-ad-format="auto"
                     data-full-width-responsive="true"></ins>
                <script>
                    (adsbygoogle = window.adsbygoogle || []).push({});
                </script>
            {% endif %}
        </div>
    </div>





    <div class="row">
        <div class="col">
            <div class="row app-text book-info mx-2 text-center">
                <main>
                    <h2>{{ book.title }}</h2>
                    {{ book.description }}
                </main>
            </div>
            <hr>
            <div class="row app-text">
                <div class="book-info">
                    <b>Автор:</b>
                    <small>
                        {% for author in book.authors %}
                            <a
                            href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>
            <div class="row app-text">
                <div class="book-info">
                    <b>Читает:</b>
                    <small>
                        {% for performer in book.performer %}
                            <a
                            href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>

            <div class="row app-text">
                <div class="book-info">
                    <b>Жанр:</b>
                    <small>
                        {% for genre in book.genres %}
                            <a
                            href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name|replace({' ': ''}) }}</a>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </small>
                </div>
            </div>
        </div>
    </div>
    <h2 class="mt-5 app-text">Вас также может заинтересовать: </h2>
    <div class="card-deck mt-3">
        {% for b in randomBooks %}
            <div class="card app-text">
                <a href="{{ path('show', {'slug': b.slug}) }}"><img height="290" width="190"
                                                                    class="card-img-top lozad" src="{{ b.cover }}"
                                                                    alt="cover" loading="lazy"></a>
                <div class="card-body book-list-item-content">
                    <h3 class="card-title"><a href="{{ path('show', {'slug': b.slug}) }}">{{ b.title }}</a></h3>

                    <p class="card-text">
                        <small class="text-muted">
                            Автор:
                            {% for author in b.authors %}
                                <a
                                href="{{ path('homepage', {'author': author.id}) }}">{{ author.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>

                    <p class="card-text">
                        <small class="text-muted">
                            Читает:
                            {% for performer in b.performer %}
                                <a
                                href="{{ path('homepage', {'performer': performer.id}) }}">{{ performer.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>


                    <p class="card-text">
                        <small class="text-muted">
                            Жанр:
                            {% for genre in b.genres %}
                                <a
                                href="{{ path('homepage', {'genre': genre.name}) }}">{{ genre.name }}</a>{% if not loop.last %},{% endif %}
                            {% endfor %}
                        </small>
                    </p>
                </div>
            </div>
        {% endfor %}
    </div>

    <div class="justify-content-center mt-5 w-100">
        <h4 class="app-text">Комментарии:</h4>

        {% for comment in book.comments|sort((a, b) => a.createdAt < b.createdAt) %}

            <div class="d-flex justify-content-center py-2">
                <div class="second py-2 px-2"><span class="text1">{{ comment.text }}</span>
                    <div class="d-flex justify-content-between py-1 pt-2">
                        <div><i class="fa fa-user"></i><span class="text2">{{ comment.authorName }}</span></div>
                        <div><span class="text3">{{ comment.createdAt|ago }}</span></div>
                    </div>
                </div>
            </div>
        {% endfor %}

        {% if app.user %}
            {{ form(commentForm) }}
        {% endif %}
        {% block autoad %}
            {% if book.explicit == false %}

                <ins style="display: none" class="adsbygoogle"
                     data-ad-client="ca-pub-5658893018787889"
                ></ins>
                <script async>
                    (function () {
                        var done = false;
                        var script = document.createElement('script');
                        script.async = true;
                        script.type = 'text/javascript';
                        script.src = '//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js';

                        var createScript = setTimeout(
                            function () {
                                document.getElementsByTagName('HEAD').item(0).appendChild(script);
                            }, 3000
                        );

                        script.onreadystatechange = script.onload = function (e) {
                            if (!done && (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete')) {
                                (adsbygoogle = window.adsbygoogle || []).push({});
                            }
                        };
                    })();
                </script>
            {% endif %}

        {% endblock %}
    </div>
    <script async>
        var currentSpeedIdx = 0;
        var speeds = [1, 1.2, 1.5, 2];

        function jpSpeedControl() {
            currentSpeedIdx = currentSpeedIdx + 1 < speeds.length ? currentSpeedIdx + 1 : 0;
            $("#audio")[0].playbackRate = speeds[currentSpeedIdx];
            $("#speed").html('Скорость: x' + speeds[currentSpeedIdx]);
        }
    </script>

{% endblock %}

{% block javascripts %}
    {{ parent() }}

{% endblock %}

